## kig 4.8.4

=== pykig/CMakeLists.txt ===

install(PROGRAMS pykig.py DESTINATION ${BIN_INSTALL_DIR} )

## kig 4.7.1

=== debian/changelog ===
kig (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Sep 2011 01:00:12 +0200

kig (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Fri, 09 Sep 2011 23:37:41 -0400

kig (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 23 Jul 2011 14:58:45 +0200

kig (4:4.6.90+repack-0ubuntu1) oneiric; urgency=low

  * Initial release (moved out of kdeedu)
  * Repack upstream source to include copy of FLD1.2 and COPYING-CMAKE-SCRIPTS

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 10 Jul 2011 11:57:38 +0200

=== debian/control ===
Source: kig
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Harald Sitter <apachelogger@ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7)
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig

Package: kig
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4, python
Description: interactive geometry tool for KDE
 Kig is an application for interactive geometric construction, allowing
 students to draw and explore mathematical figures and concepts using the
 computer.
 .
 Kig supports macros and is scriptable using Python.  It can import and export
 files in various formats, including SVG, Cabri, Dr. Geo, KGeo, KSeg, and XFig.
 .
 This package is part of the KDE education module.

## kig 4.7.2

=== debian/changelog ===
kig (4:4.7.2-1) experimental; urgency=low

  * Initial release. Start from the Kubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:43:49 -0300

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: kig
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Harald Sitter <apachelogger@ubuntu.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Eshat Cakar <info@eshat.de>
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.7)
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kig.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kig.git
 
 Package: kig
 Architecture: any

## kig 4.7.3

=== debian/changelog ===
kig (4:4.7.3-0ubuntu0.1) oneiric-proposed; urgency=low

  [ Philip Muškovac ]
  * New  upstream bugfix release (LP: #901975)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 08 Dec 2011 22:27:07 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: kig
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Harald Sitter <apachelogger@ubuntu.com>
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.3),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.7)
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kig.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kig.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig
 
 Package: kig
 Architecture: any

## kig 4.7.4

=== debian/changelog ===
kig (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.
  * Build depend on libboost-python-dev to provide again the Python scripting
    support.

 -- Pino Toscano <pino@debian.org>  Wed, 07 Mar 2012 12:10:23 +0100

kig (4:4.7.4-1) experimental; urgency=low

  * New upstream release. 
  
  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4. 
  * Add myself to Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:40:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: kig
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Harald Sitter <apachelogger@ubuntu.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.3),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Eshat Cakar <info@eshat.de>,
+ José Manuel Santamaría Lema <panfaust@gmail.com>
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7)
+ kdelibs5-dev (>= 4:4.7),
+ libboost-python-dev
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kig.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kig.git
 
 Package: kig
 Architecture: any

## kig 4.8.2

=== debian/changelog ===
kig (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 02 Apr 2012 00:19:35 +0200

kig (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 20:29:27 +0100

kig (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 23 Jan 2012 21:33:35 +0100

kig (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:28 +0000

kig (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 20:22:57 +0100

kig (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Dec 2011 13:14:41 +0000

kig (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian Git, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:47:00 +0000

kig (4:4.7.2-0r0) UNRELEASED; urgency=low

  * Initial release. Start from the Kubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 24 Oct 2011 22:02:13 +0200

kig (4:4.7.3-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 01 Nov 2011 14:24:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: kig
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Eshat Cakar <info@eshat.de>
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7),
- libboost-python-dev
+ kdelibs5-dev (>= 4:4.8.1)
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kig.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kig.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kig.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kig.git
 
 Package: kig
 Architecture: any

## kig 4.8.4

=== debian/changelog ===
kig (4:4.8.4-1) unstable; urgency=low

  * New upstrem release.

  [ Eshat Cakar ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.4.
  * Bump kdelibs5-dev build dependency to 4:4.8.
  * Add watch file.
  * Bump Standards-Version to 3.9.3, no further changes.
  * Remove obsolete not-installed file.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 17 Jun 2012 22:57:06 +0200

=== debian/control ===
Source: kig
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8), libboost-python-dev
Standards-Version: 3.9.3
Homepage: http://edu.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kig.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kig.git

Package: kig
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4, python
Description: interactive geometry tool for KDE
 Kig is an application for interactive geometric construction, allowing
 students to draw and explore mathematical figures and concepts using the
 computer.
 .
 Kig supports macros and is scriptable using Python.  It can import and export
 files in various formats, including SVG, Cabri, Dr. Geo, KGeo, KSeg, and XFig.
 .
 This package is part of the KDE education module.

## kig 4.9.2

=== debian/changelog ===
kig (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:28:24 +0100

kig (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:33:15 +0530

kig (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:26:28 +0100

kig (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 23:30:34 +0200

kig (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 14:07:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: kig
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Eshat Cakar <info@eshat.de>
+Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8), libboost-python-dev
-Standards-Version: 3.9.3
+ kdelibs5-dev (>= 4:4.9.2)
+Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kig.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kig.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kig.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kig.git
 
 Package: kig
 Architecture: any

## kig 4.9.3

=== debian/changelog ===
kig (4:4.9.3-0ubuntu0.2) quantal-proposed; urgency=low

  * Build-Depend on libboost-python1.49-dev to enable the python scripting
    support again which got removed by accident in the kdeedu split
    (LP: #1111697)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 17 Mar 2013 21:13:15 +0100

kig (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:37:51 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2)
+ kdelibs5-dev (>= 4:4.9.3), libboost-python1.49-dev
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig

## kig 4.10.0

=== debian/changelog ===
kig (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:54:49 +0000

kig (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:38:26 +0000

kig (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:35:57 +0100

kig (4:4.9.95-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Philip Muškovac ]
  * Build-depend on pkg-config so boost-python can be found
  * Fix syntax of debian/copyright

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:30:46 +0000

kig (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:54:45 +0000

kig (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Harald Sitter ]
  * Add libboost-python-dev as build dep to enable python script support.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:58:49 +0000

kig (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:37:04 +0100

kig (4:4.7.2-0r0) raring; urgency=low

  * Initial release. Start from the Kubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 24 Oct 2011 22:02:13 +0200

kig (4:4.7.3-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 01 Nov 2011 14:24:38 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.3), libboost-python1.49-dev
+ kdelibs5-dev (>= 4:4.10.0), libboost-python-dev, pkg-config
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig

## kig 4.10.2

=== debian/changelog ===
kig (4:4.10.2-0ubuntu1) raring; urgency=low

  [ Jonathan Thomas ]
  * Revert last upload, I had misread the bug report. The dependency on
    libboost-python-dev is sufficient.

  [ Philip Muškovac ]
  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:49:23 +0200

kig (4:4.10.1-0ubuntu2) raring; urgency=low

  * Build-depend on libboost1.49-dev for python scripting
    support. (LP: #1111697)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 17 Mar 2013 09:45:28 -0400

kig (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:46:33 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0), libboost-python-dev, pkg-config
+ kdelibs5-dev (>= 4:4.10.2), libboost-python-dev, pkg-config
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig

## kig 4.10.3

=== debian/changelog ===
kig (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:12:19 +0200

kig (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  [ Jonathan Thomas ]
  * Revert last upload, I had misread the bug report. The dependency on
    libboost-python-dev is sufficient.

  [ Philip Muškovac ]
  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:49:23 +0200

kig (4:4.10.1-0ubuntu2) raring-proposed; urgency=low

  * Build-depend on libboost1.49-dev for python scripting
    support. (LP: #1111697)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 17 Mar 2013 09:45:28 -0400

kig (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:46:33 +0000

kig (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:54:49 +0000

kig (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:38:26 +0000

kig (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:35:57 +0100

kig (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Philip Muškovac ]
  * Build-depend on pkg-config so boost-python can be found
  * Fix syntax of debian/copyright

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:30:46 +0000

kig (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:54:45 +0000

kig (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Harald Sitter ]
  * Add libboost-python-dev as build dep to enable python script support.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:58:49 +0000

kig (4:4.9.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:37:04 +0100

kig (4:4.7.2-0r0) raring-proposed; urgency=low

  * Initial release. Start from the Kubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 24 Oct 2011 22:02:13 +0200

kig (4:4.7.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 01 Nov 2011 14:24:38 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2), libboost-python-dev, pkg-config
+ kdelibs5-dev (>= 4:4.10.3), libboost-python-dev, pkg-config
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig

## kig 4.11.2

=== debian/changelog ===
kig (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:26:13 +0100

kig (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:23:49 +0100

kig (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:17:00 +0100

kig (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:36:17 +0100

kig (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:32 +0000

kig (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Michał Zając ]
  * New upstream bet release

  [ Philip Muškovac ]
  * Build-depend on pkg-config (required to find boost-python)

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:15:23 +0100

kig (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:19:21 +0100

kig (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:33:29 +0100

kig (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:40 +0000

kig (4:4.10.2-1) experimental; urgency=low

  * New upstream release.
  * Update uploaders.
  * Bump build-deps.

 -- Sune Vuorela <sune@debian.org>  Mon, 08 Apr 2013 00:05:44 +0000

kig (4:4.10.2-0ubuntu2) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:42 +0100

kig (4:4.8.4-0r0) unstableish; urgency=low

  * New upstrem release.

  [ Eshat Cakar ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.4.
  * Bump kdelibs5-dev build dependency to 4:4.8.
  * Add watch file.
  * Bump Standards-Version to 3.9.3, no further changes.
  * Remove obsolete not-installed file.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 17 Jun 2012 22:57:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>
-Build-Depends: 
+Uploaders: Eshat Cakar <info@eshat.de>,
+ Sune Vuorela <sune@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.3), libboost-python-dev, pkg-config
-Standards-Version: 3.9.2
+ kdelibs5-dev (>= 4:4.11.2), libboost-python-dev, pkg-config
+Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig

## kig 4.11.5

=== debian/changelog ===
kig (4:4.11.5-0ubuntu0.1) saucy; urgency=medium

  * New upstream bugfix release (LP: #1266285)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Jan 2014 14:40:45 +0100

kig (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 15:53:05 +0000

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2), libboost-python-dev, pkg-config
+ kdelibs5-dev (>= 4:4.11.5), libboost-python-dev, pkg-config
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig-13.10
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kig.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kig.git

## kig 4.12.3

=== debian/changelog ===
kig (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:38:39 +0100

kig (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:47:03 +0100

kig (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:01:51 +0000

kig (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:18:41 +0000

kig (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:08:58 +0000

kig (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:10:16 +0000

kig (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:07:11 +0100

kig (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:41:31 +0100

kig (4:4.11.2-0ubuntu2) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 22 Oct 2013 15:34:30 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.5), libboost-python-dev, pkg-config
+ kdelibs5-dev (>= 4:4.12.3), libboost-python-dev, pkg-config
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kig.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kig.git

## kig 4.13.0

=== CMakeLists.txt ===
project(kig)

set(CMAKE_MODULE_PATH ${kig_SOURCE_DIR}/cmake/modules)

# search packages used by KDE
find_package(KDE4 4.3.80 REQUIRED)
if(WIN32)
  find_package(KDEWIN32 REQUIRED)
  # detect oxygen icon dir at configure time based on KDEDIRS - there may be different package installation locations
  execute_process(COMMAND "${KDE4_KDECONFIG_EXECUTABLE}" --path icon OUTPUT_VARIABLE _dir ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
  file(TO_CMAKE_PATH "${_dir}" __dir)
  find_path(KDE4_ICON_DIR oxygen PATHS
      ${__dir}
  )
  message(STATUS "using oxygen application icons from ${KDE4_ICON_DIR}")
else(WIN32)
    set (KDE4_ICON_DIR  ${CMAKE_INSTALL_PREFIX}/share/icons)
endif(WIN32)

include(KDE4Defaults)
include(MacroLibrary)
include(MacroOptionalAddSubdirectory)
include(MacroBoolTo01)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories (${QDBUS_INCLUDE_DIRS}  ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR CMAKE_CXX_COMPILER_ID STREQUAL "Intel")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

kde4_no_enable_final(kig)

find_package(BoostPython)

include(KigConfigureChecks.cmake)

add_subdirectory( doc )
add_subdirectory( icons )
add_subdirectory( kig )
add_subdirectory( mimetypes )
add_subdirectory( macros )
# reenable after porting kig's kkfile plugns to the strigi api
#add_subdirectory( kfile )
add_subdirectory( data )
add_subdirectory( pykig )
if(BoostPython_FOUND)
  add_subdirectory( scripting )
endif(BoostPython_FOUND)

macro_log_feature(
   BoostPython_FOUND
   "Boost.Python"
   "Kig can optionally use Boost.Python for Python scripting"
   "http://www.boost.org/"
   FALSE
   "1.31"
   ""
)

macro_display_feature_log()

include_directories( ${CMAKE_SOURCE_DIR}/modes )
if(BoostPython_FOUND)
  include_directories(${BoostPython_INCLUDE_DIRS})
endif(BoostPython_FOUND)

# kigpart

set(kigpart_PART_SRCS
   objects/angle_type.cc
   objects/arc_type.cc
   objects/base_type.cc
   objects/bogus_imp.cc
   objects/centerofcurvature_type.cc
   objects/circle_imp.cc
   objects/circle_type.cc
   objects/common.cc
   objects/conic_imp.cc
   objects/conic_types.cc
   objects/cubic_imp.cc
   objects/cubic_type.cc
   objects/curve_imp.cc
   objects/intersection_types.cc
   objects/inversion_type.cc
   objects/line_imp.cc
   objects/line_type.cc
   objects/locus_imp.cc
   objects/object_calcer.cc
   objects/object_drawer.cc
   objects/object_factory.cc
   objects/object_holder.cc
   objects/object_imp.cc
   objects/object_imp_factory.cc
   objects/object_type.cc
   objects/object_type_factory.cc
   objects/other_imp.cc
   objects/other_type.cc
   objects/point_imp.cc
   objects/point_type.cc
   objects/polygon_imp.cc
   objects/polygon_type.cc
   objects/bezier_imp.cc
   objects/bezier_type.cc
   objects/special_imptypes.cc
   objects/tangent_type.cc
   objects/tests_type.cc
   objects/text_imp.cc
   objects/text_type.cc
   objects/transform_types.cc
   objects/vector_type.cc
   misc/argsparser.cpp
   misc/builtin_stuff.cc
   misc/calcpaths.cc
   misc/common.cpp
   misc/conic-common.cpp
   misc/coordinate.cpp
   misc/coordinate_system.cpp
   misc/cubic-common.cc
   misc/equation.cc
   misc/goniometry.cc
   misc/guiaction.cc
   misc/kigcoordinateprecisiondialog.cpp
   misc/kigfiledialog.cc
   misc/kiginputdialog.cc
   misc/kignumerics.cpp
   misc/kigpainter.cpp
   misc/kigtransform.cpp
   misc/lists.cc
   misc/object_constructor.cc
   misc/object_hierarchy.cc
   misc/rect.cc
   misc/screeninfo.cc
   misc/special_constructors.cc
   misc/unit.cc
   modes/base_mode.cc
   modes/construct_mode.cc
   modes/dragrectmode.cc
   modes/edittype.cc
   modes/historydialog.cc
   modes/label.cc
   modes/linkslabel.cpp
   modes/macro.cc
   modes/macrowizard.cc
   modes/mode.cc
   modes/moving.cc
   modes/normal.cc
   modes/popup/popup.cc
   modes/popup/objectchooserpopup.cc
   modes/popup/propertiesactionsprovider.cc
   modes/popup/objectchooserpopup.cc
   modes/popup/objecttypeactionsprovider.cc
   modes/popup/nameobjectactionsprovider.cc
   modes/popup/objectconstructoractionsprovider.cc
   modes/popup/builtindocumentactionsprovider.cc
   modes/popup/builtinobjectactionsprovider.cc
   modes/textlabelwizard.cc
   modes/typesdialog.cpp
   filters/asyexporter.cc
   filters/asyexporteroptions.cc
   filters/asyexporterimpvisitor.cc
   filters/cabri-filter.cc
   filters/cabri-utils.cc
   filters/drgeo-filter.cc
   filters/exporter.cc
   filters/filter.cc
   filters/filters-common.cc
   filters/imageexporteroptions.cc
   filters/kgeo-filter.cc
   filters/kseg-filter.cc
   filters/latexexporter.cc
   filters/latexexporteroptions.cc
   filters/native-filter.cc
   filters/pgfexporterimpvisitor.cc
   filters/svgexporter.cc
   filters/svgexporteroptions.cc
   filters/xfigexporter.cc
   kig/kig_commands.cpp
   kig/kig_document.cc
   kig/kig_part.cpp
   kig/kig_view.cpp
)

kde4_add_ui_files(kigpart_PART_SRCS
   modes/typeswidget.ui
   modes/edittypewidget.ui
   modes/historywidget.ui
   filters/asyexporteroptionswidget.ui
   filters/imageexporteroptionswidget.ui
   filters/latexexporteroptionswidget.ui
   filters/svgexporteroptionswidget.ui
   misc/kigcoordinateprecisiondialog.ui
)

if(BoostPython_FOUND)
  set(kigpart_PART_SRCS ${kigpart_PART_SRCS}
     modes/popup/scriptactionsprovider.cc
     scripting/newscriptwizard.cc
     scripting/python_scripter.cc
     scripting/python_type.cc
     scripting/script-common.cc
     scripting/script_mode.cc
  )

  set_source_files_properties(scripting/python_scripter.cc PROPERTIES COMPILE_FLAGS "${KDE4_ENABLE_EXCEPTIONS}")
endif(BoostPython_FOUND)


kde4_add_plugin(kigpart ${kigpart_PART_SRCS})

target_link_libraries(kigpart ${KDE4_KPARTS_LIBS} ${KDE4_KUTILS_LIBS} )
if(BoostPython_FOUND)
  target_link_libraries(kigpart ${BoostPython_LIBRARIES} ${KDE4_KTEXTEDITOR_LIBS})
endif(BoostPython_FOUND)

install(TARGETS kigpart DESTINATION ${PLUGIN_INSTALL_DIR})

# unit tests
add_subdirectory(tests)

=== scripting-api/CMakeLists.txt ===




########### install files ###############





#original Makefile.am contents follow:

## generate the Kig Python Scriptin APIdocs from the Kig source code
#
#all-local: build-kig-python-scripting-apidocs
#build-kig-python-scripting-apidocs:
##	cat $(srcdir)/Doxyfile.scripting-api.in | sed -e 's#KIGVERSION#@KIGVERSION@#g' | sed -e 's#TOPSRCDIR#$(top_srcdir)#g' | sed -e 's#SRCDIR#$(srcdir)#g' > Doxyfile.scripting-api
#	doxygen Doxyfile.scripting-api
#	cp bottom1.png bottom2.png docheadergears.png grad.png headerbg.png build/html

=== scripting/CMakeLists.txt ===
install(FILES
   python-kig.xml
   DESTINATION ${DATA_INSTALL_DIR}/katepart/syntax)

=== debian/changelog ===
kig (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:04:04 +0100

kig (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:27:37 +0200

kig (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:29:30 +0100

kig (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:58:32 +0000

kig (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:49:41 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.3), libboost-python-dev, pkg-config
+ kdelibs5-dev (>= 4:4.13.0), libboost-python-dev, pkg-config
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig

## kig 4.13.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,8 +44,10 @@
 #add_subdirectory( kfile )
 add_subdirectory( data )
 add_subdirectory( pykig )
+
 if(BoostPython_FOUND)
   add_subdirectory( scripting )
+  add_definitions(-DKIG_ENABLE_PYTHON_SCRIPTING)
 endif(BoostPython_FOUND)
 
 macro_log_feature(
@@ -209,6 +211,7 @@
 kde4_add_plugin(kigpart ${kigpart_PART_SRCS})
 
 target_link_libraries(kigpart ${KDE4_KPARTS_LIBS} ${KDE4_KUTILS_LIBS} )
+
 if(BoostPython_FOUND)
   target_link_libraries(kigpart ${BoostPython_LIBRARIES} ${KDE4_KTEXTEDITOR_LIBS})
 endif(BoostPython_FOUND)

=== tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

kde4_add_unit_test(coordinatevalidatortest coordinatevalidatortest.cpp)
target_link_libraries(coordinatevalidatortest ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTTEST_LIBRARY})

=== debian/changelog ===
kig (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:29:44 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0), libboost-python-dev, pkg-config
+ kdelibs5-dev (>= 4:4.13.3), libboost-python-dev, pkg-config
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig

## kig 4.14.1

=== debian/changelog ===
kig (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:15:35 +0200

kig (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:09:23 +0200

kig (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:48:22 +0200

kig (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:17:57 +0200

kig (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:07:41 +0200

kig (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:58:33 +0100

kig (4:4.13.1-1ubuntu1) utopic; urgency=medium

  * Merge with debian, no remaining changes

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 16 Jun 2014 17:34:29 +0200

kig (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 May 2014 12:53:21 +0200

kig (4:4.12.3-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:37 +0200

kig (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:05:29 +0100

kig (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:37 +0100

kig (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Add autopkgtest.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jan 2014 20:54:36 +0100

kig (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 15:23:40 +0100

kig (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 16:53:15 +0200

kig (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:45:59 +0200

kig (4:4.10.4-1) experimental; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Add the pkg-config build dependency.

  [ Maximiliano Curia ]
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 14:31:42 +0200

=== debian/control ===
Source: kig
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               libboost-python-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kig
X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kig.git
X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kig.git

Package: kig
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter4, python
Description: interactive geometry tool for KDE
 Kig is an application for interactive geometric construction, allowing
 students to draw and explore mathematical figures and concepts using the
 computer.
 .
 Kig supports macros and is scriptable using Python.  It can import and export
 files in various formats, including SVG, Cabri, Dr. Geo, KGeo, KSeg, and XFig.
 .
 This package is part of the KDE education module.

## kig 4.14.2

=== icons/CMakeLists.txt ===

kde4_install_icons( ${DATA_INSTALL_DIR}/kig/icons  )

=== macros/CMakeLists.txt ===
install(FILES
   circle_by_center_and_line.kigt
   circle_by_point_and_diameter.kigt
   equitriangle.kigt
   evolute.kigt
   osculating_circle.kigt
   square.kigt
   vector_difference.kigt
   DESTINATION ${DATA_INSTALL_DIR}/kig/builtin-macros)

=== debian/changelog ===
kig (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:23 +0200

kig (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 02:20:30 +0200

kig (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Jul 2014 14:42:47 +0200

=== debian/control ===
Source: kig
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libboost-python-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://edu.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kig.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kig.git

Package: kig
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter4, python
Description: interactive geometry tool for KDE
 Kig is an application for interactive geometric construction, allowing
 students to draw and explore mathematical figures and concepts using the
 computer.
 .
 Kig supports macros and is scriptable using Python.  It can import and export
 files in various formats, including SVG, Cabri, Dr. Geo, KGeo, KSeg, and XFig.
 .
 This package is part of the KDE education module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kig-([\d.]+).tar.xz

## kig 14.12.3

=== debian/changelog ===
kig (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:30:47 -0700

kig (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 Feb 2015 22:11:28 +0100

kig (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:34:02 -0800

kig (4:14.12.0-0ubuntu2) vivid; urgency=medium

  * Add build-dep on libqt5svg5-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 Dec 2014 16:12:59 +0100

kig (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Change build-deps to kf5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 Dec 2014 15:52:04 +0100

kig (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:08:52 -0700

=== debian/control ===
Source: kig
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.6.0),
               kdoctools-dev,
               kinit-dev,
               libboost-python-dev,
               libkf5archive-dev,
               libkf5configwidgets-dev,
               libkf5emoticons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemmodels-dev,
               libkf5kdelibs4support-dev,
               libkf5parts-dev,
               libkf5texteditor-dev,
               libqt5svg5-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: http://edu.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kig.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kig.git

Package: kig
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter, python
Description: interactive geometry tool
 Kig is an application for interactive geometric construction, allowing
 students to draw and explore mathematical figures and concepts using the
 computer.
 .
 Kig supports macros and is scriptable using Python.  It can import and export
 files in various formats, including SVG, Cabri, Dr. Geo, KGeo, KSeg, and XFig.
 .
 This package is part of the KDE education module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kig-([\d.]+).tar.xz

## kig 15.08.2

=== debian/changelog ===
kig (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:28:04 +0100

kig (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)
  * Update build-deps and deps with the info from cmake

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:53:50 +0100

kig (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:26:52 +0100

kig (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:52:05 +0100

kig (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:04:47 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.6.0),
+               extra-cmake-modules (>= 1.7~),
                kdoctools-dev,
                kinit-dev,
                libboost-python-dev,
